//
//  SecondViewController.m
//  DMSDemo
//
//  Created by Ao dian on 15/6/24.
//  Copyright (c) 2015年 aodianyun. All rights reserved.
//

#import "SecondViewController.h"
#import "DMSManager.h"

@interface SecondViewController ()

@property (weak, nonatomic) IBOutlet UITextField *txtSendTopic;
@property (weak, nonatomic) IBOutlet UITextField *txtPayload;
@property (weak, nonatomic) IBOutlet UITextView *txtMessages;
@property (weak, nonatomic) IBOutlet UIButton *btnSend;

@end

@implementation SecondViewController
- (IBAction)TextField_DidEndOnExit:(UITextField *)sender {
    [sender resignFirstResponder];
}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.txtMessages.text =  @"";
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void) addMessage:(NSString*) msg
{
    self.txtMessages.text = [[NSString alloc] initWithFormat:@"%@\n%@", msg,self.txtMessages.text];
}
- (void) setViewState:(BOOL) isConnected
{
    if(isConnected) {
        self.txtSendTopic.enabled = true;
        self.txtPayload.enabled = true;
        self.btnSend.enabled = true;
    } else {
        self.txtSendTopic.enabled = false;
        self.txtPayload.enabled = false;
        self.btnSend.enabled = false;
    }
}
- (IBAction)btnClearClick:(UIButton *)sender {
    self.txtMessages.text = @"";
}
- (IBAction)btnSendClick:(UIButton *)sender {
    if(self.txtSendTopic.text.length >0 &&
       self.txtPayload.text.length >0) {
        self.txtSendTopic.enabled = false;
        self.txtPayload.enabled = false;
        self.btnSend.enabled = false;
        [[DMSManager client] publishString:self.txtPayload.text
                                    toTopic:self.txtSendTopic.text
                          completionHandler:^(int mid) {
                              dispatch_async(dispatch_get_main_queue(), ^{
                                  self.txtSendTopic.enabled = true;
                                  self.txtPayload.enabled = true;
                                  self.btnSend.enabled = true;
                                  [self addMessage:[[NSString alloc] initWithFormat:@"send : %@", self.txtPayload.text]];
                              });
                          }];
    }
    [self.view endEditing:YES];
}

@end
